## org.apache.mahout.clustering.spectral
Class AffinityMatrixInputJob

    java.lang.Object
      org.apache.mahout.clustering.spectral.AffinityMatrixInputJob

    public final class AffinityMatrixInputJob

extends Object

Method Summary
`static DistributedRowMatrix` `runJob(org.apache.hadoop.fs.Path input, org.apache.hadoop.fs.Path output, int dimensions)` A transparent wrapper for the above method which handles the tedious tasks of setting and retrieving system Paths.
`static void` `runJob(org.apache.hadoop.fs.Path input, org.apache.hadoop.fs.Path output, int rows, int cols)` Initializes and executes the job of reading the documents containing the data of the affinity matrix in (x_i, x_j, value) format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### runJob

    public static void runJob(org.apache.hadoop.fs.Path input,
                              org.apache.hadoop.fs.Path output,
                              int rows,
                              int cols)
                       throws IOException,
                              InterruptedException,
                              ClassNotFoundException

  Initializes and executes the job of reading the documents containing the data of the affinity matrix in (x_i, x_j, value) format.

  Throws:
    `IOException`
    `InterruptedException`
    `ClassNotFoundException`

### runJob

    public static DistributedRowMatrix runJob(org.apache.hadoop.fs.Path input,
                                              org.apache.hadoop.fs.Path output,
                                              int dimensions)
                                       throws IOException,
                                              InterruptedException,
                                              ClassNotFoundException

  A transparent wrapper for the above method which handles the tedious tasks of setting and retrieving system Paths. Hands back a fully-populated and initialized DistributedRowMatrix.

  Throws:
    `IOException`
    `InterruptedException`
    `ClassNotFoundException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.